.white {
  color: white !important;
}
.swal2-popup .swal2-styled.swal2-cancel {
  color: white !important;
  background-color: #e25a5a !important;
  font-size: 14px !important;
  height: 100% !important;
  transition: all 0.2s ease-in-out !important;
}

.swal2-popup .swal2-styled.swal2-confirm {
  color: white !important;
  background-color: #206f48 !important;
  font-size: 14px !important;
  height: 100% !important;
  transition: all 0.2s ease-in-out !important;
}
.swal2-confirm:hover {
  transform: scale(1.05) !important;
}
.swal2-cancel:hover {
  transform: scale(1.05) !important;
}
.swal2-popup .swal2-close {
  border: 2px solid white !important;
  color: white !important;
  background-color: #f27474 !important;
  border-radius: 5px !important;
  font-size: 2.2em !important;
  transition: all 0.2s ease-in-out !important;
}
.swal2-close:hover {
  transform: scale(1.05) !important;
  background-color: rgb(237, 28, 36) !important;
}
.swal2-popup .swal2-title {
  display: block;
  position: relative;
  max-width: 100%;
  margin: 0 0 0.4em;
  padding: 0;
  color: #595959;
  font-size: 1.475em !important;
  text-decoration: none !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}
.swal2-container.swal2-center {
  margin: 0px;
  padding: 58px;
}

.MuiTableCell-stickyHeader {
  top: 0;
  left: 0;
  z-index: 2;
  position: sticky;
  background-color: #dee2e64d !important;
  font-weight: bold !important;
  -webkit-box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.75);
}

.capitalized {
  text-transform: capitalize !important;
}
.MuiTablePagination-actions {
  margin-left: 10px !important;
}
.MuiIconButton-root.Mui-disabled,
.MuiButtonBase-root.Mui-disabled {
  width: 35px;
  height: 35px;
}
.status-requested {
  background-color: rgb(237, 28, 36);
  border-radius: 2px;
  color: white;
  margin: 0px;
  padding: 2px;
  -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
}
.status-pending {
  background-color: goldenrod;
  border-radius: 2px;
  color: white;
  margin: 0px;
  padding: 2px;
  -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
}
.status-approved {
  background-color: green;
  border-radius: 2px;
  color: white;
  margin: 0px;
  padding: 2px;
  -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
}
.status-declined {
  background-color: #343a4069;
  border-radius: 2px;
  color: white;
  margin: 0px;
  padding: 2px;
  -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
}
.main-logo {
  max-width: 40px;
  max-height: 40px;
}
.important-jumbotron {
  padding: 1rem 1rem;
  margin-bottom: 1rem;
  background-color: #e9ecef;
  border-radius: 0.3rem;
}
.page-patch {
  color: #808080b3;
  font-size: 10px;
  margin: 0px 20px;
  text-transform: uppercase;
}
.page-patch:hover {
  color: #808080;
}
.title-upper {
  text-transform: uppercase;
  font-size: 12px;
}
.policy-cordion {
  color: gray;
  text-align: right !important;
  display: block;
  margin-top: -22px;
}
.custom-color {
  color: #555555;
}
.menu-name {
  color: white;
  font-size: 12px;
}
.menu-code {
  font-size: 10px;
}
.image-menu {
  border-radius: 5%;
  width: 90px;
  height: 95px;
}
.green {
  color: green;
}
.orange{
  color: #e25a5a;
}
.custom-arrow-right {
  font-size: 12px !important;
  color: black !important;
  font-weight: lighter !important;
}
.custom-card-header {
  background-color: white !important;
}
.title-company {
  font-size: 12px !important;
}
.red {
  color: red;
}
a#TblContactDirectory_previous {
  padding: 5px;
  color: #343a40;
  font-size: 14px;
}
a#TblContactDirectory_next {
  padding: 5px;
  color: #343a40;
  font-size: 14px;
}
a.paginate_button.current {
  color: #333 !important;
  border: 1px solid #979797;
  background-color: white;
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(0%, #fff),
    color-stop(100%, #dcdcdc)
  );
  background: -webkit-linear-gradient(top, #fff 0%, #dcdcdc 100%);
  background: -moz-linear-gradient(top, #fff 0%, #dcdcdc 100%);
  background: -ms-linear-gradient(top, #fff 0%, #dcdcdc 100%);
  background: -o-linear-gradient(top, #fff 0%, #dcdcdc 100%);
  background: linear-gradient(to bottom, #fff 0%, #dcdcdc 100%);
  padding: 8px;
  border-radius: 2px;
}
a.paginate_button {
  padding: 5px;
  color: #343a40;
  font-size: 14px;
}
#TblContactDirectory.table.table-bordered.dataTable {
  font-size: 14px;
}
.divLeft {
  text-align: left;
}
.divSecond {
  padding: 5px 10px !important;
}
.defaultText {
  font-size: 12px !important;
}
.swal2-container:not(.swal2-top):not(.swal2-top-start):not(.swal2-top-end):not(.swal2-top-left):not(.swal2-top-right):not(.swal2-center-start):not(.swal2-center-end):not(.swal2-center-left):not(.swal2-center-right):not(.swal2-bottom):not(.swal2-bottom-start):not(.swal2-bottom-end):not(.swal2-bottom-left):not(.swal2-bottom-right):not(.swal2-grow-fullscreen)
  > .swal2-modal {
  min-width: 300px;
}
@media screen and (max-width: 290px) {
  .swal2-container:not(.swal2-top):not(.swal2-top-start):not(.swal2-top-end):not(.swal2-top-left):not(.swal2-top-right):not(.swal2-center-start):not(.swal2-center-end):not(.swal2-center-left):not(.swal2-center-right):not(.swal2-bottom):not(.swal2-bottom-start):not(.swal2-bottom-end):not(.swal2-bottom-left):not(.swal2-bottom-right):not(.swal2-grow-fullscreen)
    > .swal2-modal {
    min-width: 275px;
  }
}
@media screen and (max-width: 400px) {
  #TblContactDirectory.table.table-bordered.dataTable,
  a#TblContactDirectory_previous,
  a#TblContactDirectory_next,
  a.paginate_button.current,
  a.paginate_button {
    font-size: 11px;
  }
}
@media screen and (max-width: 1200px) {
  .scroll-table {
    overflow-x: auto;
  }
}

.fa-4 {
  font-size: 22px !important;
}
.size-effect {
  transition: all 0.2s ease-in-out;
}
.size-effect:hover {
  transform: scale(1.1) !important;
}
.size-effect-x2 {
  transition: all 0.2s ease-in-out;
}
.size-effect-x2:hover {
  transform: scale(1.5) !important;
}
.not-allowed {
  transition: all 0.1s ease-in-out;
}
.not-allowed:hover {
  cursor: not-allowed !important;
}
.vacation-calendar > .react-datepicker-wrapper {
  width: 100%;
}
.vacation-add {
  height: 620px;
}
.title-required {
  font-size: 12px;
  border-radius: 2px;
  color: rgb(237, 28, 36);
  margin: 0px;
  padding: 2px;
}
ul.no-bullets {
  list-style-type: none !important;
}
.bold-font {
  font-weight: bold !important;
}
.title-lowercase {
  text-transform: lowercase;
  font-size: 12px;
}
.vacation-square-radio > input[type="radio"] + label:before {
  border-radius: 10% !important;
}
.fc-scroller {
  overflow-y: hidden !important;
}
.fc-daygrid-day-events {
  transition: all 0.2s ease-in-out !important;
}
.fc-daygrid-day-events:hove {
  transform: scale(2.05) !important;
  cursor: pointer;
}
.table-group-compensation {
  background-color: #e9ecef;
  -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.75);
}
.table-group-compensation-total {
  font-size: 14px;
  font-weight: bold;
}
.black-background {
  background-color: #333 !important;
}
.login-image {
  margin: 0 auto;
  max-width: 50%;
}
.morris-hover {
  position: absolute;
  z-index: 1090;
}
.morris-hover.morris-default-style {
  border-radius: 10px;
  padding: 6px;
  color: #f9f9f9;
  background: rgba(0, 0, 0, 0.8);
  border: solid 2px rgba(0, 0, 0, 0.9);
  font-weight: 600;
  font-size: 14px;
  text-align: center;
}
.morris-hover.morris-default-style .morris-hover-row-label {
  font-weight: bold;
  margin: 0.25em 0;
}
.morris-hover.morris-default-style .morris-hover-point {
  white-space: nowrap;
  margin: 0.1em 0;
}

.fa-red-box {
  background: #f54e39;
  border-radius: 4px !important;
  padding: 6px !important;
  color: #fff !important;
  font-size: 14px;
}

.fa-blue-box {
  background: #4ab8ff;
  border-radius: 4px !important;
  padding: 6px !important;
  color: #fff !important;
  font-size: 14px;
}

.padding-status-name {
  padding: 1px 5px !important;
  font-size: 12px;
  border-radius: 3px;
}

.btn-success .fa {
  color: #fff !important;
}

.fa-gray-box {
  background: #a3a3a3;
  border-radius: 4px !important;
  padding: 6px !important;
  color: #fff !important;
  font-size: 14px;
}

.hide {
  display: none;
}
.sidebar {
  padding-bottom: 11px !important;
}

.evaluation-line {
  border: 0;
  border-top: solid 1px;
  margin: 2rem 0;
}

table#TblEvaluation {
  border: 1px solid gray;
  border-radius: 1px;
  -webkit-box-shadow: 0px 1px 5px 0px rgb(0 0 0 / 75%);
  -moz-box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 1px 5px 0px rgb(0 0 0 / 75%);
}

.side-menu-ul > li {
  transition: all 0.2s ease-in-out;
}
.side-menu-ul > li:hover {
  transform: scale(1.05) !important;
  background-color: rgba(0, 0, 0, 0.5);
}
.span-optional-info {
  color: gray;
  font-size: 12px;
  font-weight: bold;
  margin: 0px 2px;
  font-style: italic;
}

.rich-editor .rdw-editor-main {
  background-color: white;
}

.draft-editor-wrapper {
  border: 1px solid #ccc;
}
img.img-user-grid {
  width: 24px;
  height: 24px;
}
.chosen-container.chosen-with-drop .chosen-drop {
  text-align: left;
  width: 100%;
}
ul.chosen-results {
  height: 130px;
}
ul.chosen-choices {
  min-height: 37px !important;
  border-radius: 3px;
}
table#TblBackendUser {
  -webkit-box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 75%);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 75%);
  border: 1px solid #dee2e6;
}

table {
  -webkit-box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 75%);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 75%);
  border: 1px solid #dee2e6;
}
/* #TblBackendUser_filter.dataTables_filter {
    float: left !important;
    margin: 0px;
    padding: 5px;
}
#TblBackendUser_filter   input {
    margin-left: 0.5em;
    display: inline-block;
    width: 78%;
    height: 40px;
} */
#TblBackendUser_wrapper.dataTables_wrapper div.dataTables_filter label {
    font-weight: bold;
}
#TblBackendUser_wrapper.dataTables_wrapper.no-footer > .dt-buttons > .dt-button {
    border: none !important;
    font-size: 12px;
}
#TblBackendUser_wrapper.dataTables_wrapper.no-footer > .dt-buttons > .dt-button input[type="button"], button  {
    border: none !important;
    box-shadow: none !important;
}
.dt-button-collection {
    position: relative;
    top: 0;
    left: 0;
    width: 260px;
    margin-top: 3px;
    padding: 8px 8px 4px 8px;
    border: 1px solid #ccc;
    border: 1px solid rgba(0,0,0,0.4);
    background-color: white;
    overflow: hidden;
    z-index: 2002;
    border-radius: 5px;
    box-shadow: 3px 3px 5px rgb(0 0 0 / 30%);
    box-sizing: border-box;
}
.dt-button-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    background: -ms-radial-gradient(center, ellipse farthest-corner, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0.7) 100%);
    background: -moz-radial-gradient(center, ellipse farthest-corner, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0.7) 100%);
    background: -o-radial-gradient(center, ellipse farthest-corner, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0.7) 100%);
    background: -webkit-gradient(radial, center center, 0, center center, 497, color-stop(0, rgba(0,0,0,0.3)), color-stop(1, rgba(0,0,0,0.7)));
    background: -webkit-radial-gradient(center, ellipse farthest-corner, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0.7) 100%);
    background: radial-gradient(ellipse farthest-corner at center, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0.7) 100%);
    z-index: 2001;
}
div.dt-button-collection button.dt-button, div.dt-button-collection div.dt-button, div.dt-button-collection a.dt-button {
    position: relative;
    left: 0;
    right: 0;
    width: 100%;
    display: block;
    float: none;
    margin-bottom: 4px;
    margin-right: 0;
}
div.dt-button-collection .dt-button {
    border-radius: 0;
}
div.dt-button-collection > :last-child > * {
    -webkit-column-break-inside: avoid;
    break-inside: avoid;
}
div.dt-button-collection {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    margin-right: 0.333em;
    margin-bottom: 0.333em;
    padding: 0.5em 1em;
    border: 1px solid rgba(0,0,0,0.3);
    border-radius: 2px;
    cursor: pointer;
    font-size: 0.88em;
    line-height: 1.6em;
    color: black;
    white-space: nowrap;
    overflow: hidden;
    background-color: rgba(0,0,0,0.1);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='rgba(230, 230, 230, 0.1)', EndColorStr='rgba(0, 0, 0, 0.1)');
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-decoration: none;
    outline: none;
    text-overflow: ellipsis;
}
div.dt-button-collection button.dt-button:active:not(.disabled), div.dt-button-collection button.dt-button.active:not(.disabled), div.dt-button-collection div.dt-button:active:not(.disabled), div.dt-button-collection div.dt-button.active:not(.disabled), div.dt-button-collection a.dt-button:active:not(.disabled), div.dt-button-collection a.dt-button.active:not(.disabled) {
    background-color: #dadada;
    background: -webkit-linear-gradient(top, #f0f0f0 0%, #dadada 100%);
    background: -moz-linear-gradient(top, #f0f0f0 0%, #dadada 100%);
    background: -ms-linear-gradient(top, #f0f0f0 0%, #dadada 100%);
    background: -o-linear-gradient(top, #f0f0f0 0%, #dadada 100%);
    background: linear-gradient(to bottom, #f0f0f0 0%, #dadada 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#f0f0f0', EndColorStr='#dadada');
    box-shadow: inset 1px 1px 3px #666;
    color: black !important;
}
div.dt-button-collection button.dt-button:active:not(.disabled), button.dt-button.active:not(.disabled), div.dt-button:active:not(.disabled), div.dt-button.active:not(.disabled), a.dt-button:active:not(.disabled), a.dt-button.active:not(.disabled), input.dt-button:active:not(.disabled), input.dt-button.active:not(.disabled) {
        background-color: rgba(0,0,0,0.1);
        filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='rgba(179, 179, 179, 0.1)', EndColorStr='rgba(0, 0, 0, 0.1)');
        box-shadow: inset 1px 1px 3px #999999;
}
div.dt-button-collection button.dt-button, div.dt-button-collection div.dt-button, div.dt-button-collection a.dt-button {
    position: relative;
    left: 0;
    right: 0;
    width: 100%;
    display: block;
    float: none;
    margin-bottom: 4px;
    margin-right: 0;
    background-color: #008000d9;
    color: white !important;
}
#TblBackendUser_wrapper {
    font-size: 96% !important;
    font: normal !important;
}
#TblBackendUser_wrapper table.dataTable {
    font-size: 13px;
}
#TblBackendUser_wrapper table.dataTable thead .sorting,table.dataTable thead .sorting_disabled, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    position: relative;
    font-size: 13px;
    font-weight: bold;
    text-align: center;
    background-color: #e25a5a !important;
    color: white !important;
}

#TblBackendUser_wrapper div.dt-buttons {
    text-align: left !important;

}
pepe
#TblEvaluation_wrapper {
    font-size: 96% !important;
    font: normal !important;
}
#TblEvaluation_wrapper table.dataTable {
    font-size: 13px;
}
#TblEvaluation_wrapper table.dataTable thead .sorting,table.dataTable thead .sorting_disabled, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    position: relative;
    font-size: 13px;
    font-weight: bold;
    text-align: center;
    background-color: #e25a5a !important;
    color: white !important;
}

#TblEvaluation_wrapper div.dt-buttons {
    text-align: left !important;

}
.capitalized.sorting{
    background-color: #e25a5a !important;
    color: white !important;

}
.showpopUp-datatable-modal{
  width: 1150px !important;
}
.showpopUp-datatable-content{
  height: 660px;
}
.default-table-size{
  height: 500px;
}
#TblEvaluationCalendar_filter.dataTables_filter {
    float: left !important;
    margin: 0px;
    padding: 5px;
}
.current-td-line{
    display: block !important; 
    padding: 0 !important; 
    margin: 0 !important; 
    border-radius: 3px !important; 
    width: 98% !important; 
    height: 2.0rem !important;
}
.current-td-cal-line-exist{
    display: block !important; 
    padding: 0 !important; 
    margin: 0 !important; 
    border-radius: 3px !important; 
    width: 99% !important;
    max-width: 94px !important;
    text-align: justify !important; 
    font-size: 10px !important;
    height: 2.0rem !important;
}
.current-td-cal-line-exist:hover{
  cursor: not-allowed !important;
}
.current-td-cal-line{
    display: block !important; 
    padding: 0 !important; 
    margin: 0 !important; 
    border-radius: 3px !important; 
    width: 99% !important;
    max-width: 94px !important;
    text-align: justify !important; 
    font-size: 10px !important;
    height: 2.0rem !important;
}
.current-td-cal-line:hover{
  cursor: not-allowed !important;
}
.cs-mb{
  margin: 3px 10px;
}
#TblEvaluationPossibleAnswer_filter.dataTables_filter {
    float: left !important;
    margin: 0px;
    padding: 5px;
}
#TblEvaluationQuestionGroup_filter.dataTables_filter {
    float: left !important;
    margin: 0px;
    padding: 5px;
}
input:disabled {
    background-color:  #e9ecef !important;
    border-color: rgba(118, 118, 118, 0.3) !important;
    opacity: 1;
    color: gray !important;
}
.current-td-groupname{
    display: block !important; 
    padding: 0 !important; 
    margin: 0 !important; 
    border-radius: 3px !important; 
    width: 98% !important; 
    height: 2.0rem !important;
}
.current-td-question-name{
  display: block !important; 
  padding: 0 !important; 
  margin: 0 !important; 
  border-radius: 3px !important; 
  width: 98% !important; 
  height: 2.0rem !important;  
}
.current-td-order-question{
  display: block !important; 
  padding: 0 !important; 
  margin: 0 !important; 
  border-radius: 3px !important; 
  width: 98% !important; 
  height: 2.0rem !important; 
}
.current-td-question-type{
  display: block !important; 
  padding: 0 !important; 
  margin: 0 !important; 
  border-radius: 3px !important; 
  width: 98% !important; 
  height: 2.0rem !important;   
}
#TblEvaluationQuestion_filter.dataTables_filter {
  float: left !important;
  margin: 0px;
  padding: 5px;
}
.cs-miniText{
    font-size: 0.5px !important;
    opacity: 0.01 !important;
    color: transparent !important;
}
 

